﻿using System;
using System.Net;

namespace Libs
{
    public static class HttpLib
    {
        public static T PostMessage<T>(string url) where T : class
        {
            var request = WebRequest.Create(url);
            request.Method = "POST";
            request.ContentLength = 0; 
            using (var response = request.GetResponse())
            {
                var result = XmlLib.GetObject<T>(response.GetResponseStream());
                if (result == null)
                    throw new Exception("Invalid response.");
                return result;
            }
        }
    }
}
